MCDParserInternal::Index Struct Reference

Internal: the index data of a MCDParser. More...

## Public Member Functions

| Index ()
| constructor More...

## Public Attributes

MWAWEntry | m_entry
| the text entry More...
int | m_level
| the entry level More...
int | m_numChild
| the number of child More...
int | m_page
| the page More...
Box2i | m_box
| the bdbox More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Index const &index)
| operator<< More...

## Detailed Description

Internal: the index data of a MCDParser.

## Constructor & Destructor Documentation

MCDParserInternal::Index::Index | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Index const & | index
| ) |  |

friend

operator<<

## Member Data Documentation

Box2i MCDParserInternal::Index::m_box

the bdbox

Referenced by MCDParser::readIndex().

MWAWEntry MCDParserInternal::Index::m_entry

the text entry

Referenced by MCDParser::readIndex(), and MCDParser::sendIndex().

std::string MCDParserInternal::Index::m_extra

extra data

Referenced by MCDParser::readIndex().

int MCDParserInternal::Index::m_level

the entry level

Referenced by MCDParser::sendIndex(), and MCDParser::updateIndex().

int MCDParserInternal::Index::m_numChild

the number of child

Referenced by MCDParser::readIndex(), and MCDParser::updateIndex().

int MCDParserInternal::Index::m_page

the page

Referenced by MCDParser::readIndex(), and MCDParser::sendIndex().

The documentation for this struct was generated from the following file:

- MCDParser.cxx